Skip to content

Modify the organization

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.

Modify the organization through the organization code, you can select the department description, new organization code, organization name, etc.

Method name

ManagementClient.updateOrganization

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
organizationCodestringyes-Organization codesteamory
descriptionstringno-Department descriptionTechnical R&D department
openDepartmentIdstringno-Root node custom ID60b49eb83fd80adb96f26e68
leaderUserIdsstring[]no-Department Head ID["60b49eb83fd80adb96f26e68"]
i18n<a OrganizationNameI18nDtoNo-Multi-language settings{"organizationName":{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}}
tenantIdstringNo-Tenant ID623c20b2a062aaaaf41b17da
organizationNewCodestringNo-New organization codesteamory2
organizationNamestringNo-Organization namesteammemory
postIdListstring[]No-Post id list["xxx"]

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.updateOrganization({
    // Replace organization Code
    organizationCode: "steamory",
    organizationName: "Steam Memory",
    description: "Organization Description Information",
    i18n: {
      organizationName: {
        "zh-CN": {
          enabled: false,
          value: "Chinese Name",
        },
        "en-US": {
          enabled: false,
          value: "English",
        },
        "zh-TW": {
          enabled: false,
          value: "zh-TW",
        },
        "ja-JP": {
          enabled: false,
          value: "ja-JP",
        },
      },
    },
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request Response

Type: OrganizationSingleRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a OrganizationDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "organizationCode": "steamory",
    "organizationName": "Steam Memory",
    "description": "Organization description information",
    "createdAt": "2022-07-03T03:20:30.000Z",
    "updatedAt": "2022-07-03T03:20:30.000Z",
    "departmentId": "60b49eb83fd80adb96f26e68",
    "openDepartmentId": "60b49eb83fd80adb96f26e68",
    "hasChildren": true,
    "leaderUserIds": "[\"60b49eb83fd80adb96f26e68\"]",
    "membersCount": 150,
    "i18n": {
      "organizationName": {
        "zh-CN": { "enabled": false, "value": "Chinese" },
        "en-US": { "enabled": false, "value": "English" }
      }
    },
    "customData": { "icon": "https://example.com/logo" },
    "tenantId": "623c20b2a062aaaaf41b17da",
    "postIdList": "[\"xxx\"]",
    "status": "false",
    "allow": "[\"xxx\"]"
  }
}

Data structure

OrganizationNameI18nDto

NameTypeIs it requiredDescriptionSample value
organizationNameYesMulti-language support field Nested type: <a LangObject.{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}

LangObject

NameTypeIs it required?DescriptionSample value
zh-CNYesMultilingual Chinese content Nested type: <a LangUnit.{"enabled":false,"value":"中文"}
en-USYesMultilingual English content Nested type: <a LangUnit.{"enabled":false,"value":"English"}
zh-TWYesMultilingual Traditional Chinese content Nested type: <a Traditional Chinese"`
ja-JPYesMultilingual Japanese content Nested type: <a LangUnit.{"enabled":false,"value":"日本語"}

LangUnit

NameTypeIs it requiredDescriptionSample value
enabledbooleanyesWhether it is enabled. If enabled and the console selects this language, the content will be displayed. (default closed)
valuestringyesmultilingual content

OrganizationDto

nametypeIs it required?descriptionexample value
organizationCodestringyesorganization codesteamory
organizationNamestringyesorganization namesteam memory
descriptionstringnoorganization descriptionorganization description
createdAtstringnocreation time2022-07-03T03:20:30.000Z
updatedAtstringnoModification time2022-07-03T03:20:30.000Z
departmentIdstringyesRoot node ID60b49eb83fd80adb96f26e68
openDepartmentIdstringnoRoot node custom ID60b49eb83fd80adb96f26e68
hasChildrenbooleanyesWhether to include child nodestrue
leaderUserIdsarraynoDepartment leader ID["60b49eb83fd80adb96f26e68"]
membersCountnumberyesNumber of department members150
isVirtualNodebooleanyesWhether it is a virtual department
i18nnoMulti-language settings Nested type: <a OrganizationNameI18nDto.{"organizationName":{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}}
customDataobjectNoExtended field data of department{"icon":"https://example.com/logo"}
tenantIdstringNoTenant ID623c20b2a062aaaaf41b17da
postIdListarrayNoPost id list["xxx"]
statusstringgNoStatusfalse
allowstringNoAccess restrictions["xxx"]

OrganizationNameI18nDto

NameTypeIs it requiredDescriptionSample value
organizationNameYesMulti-language-supported fields Nested type: <a LangObject.{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}

LangObject

NameTypeIs it required?DescriptionSample value
zh-CNYesMultilingual Chinese content Nested type: <a LangUnit.{"enabled":false,"value":"中文"}
en-USYesMultilingual English content Nested type: <a LangUnit.{"enabled":false,"value":"English"}
zh-TWYesMultilingual Traditional Chinese content Nesting type: <a LangUnit.{"enabled":false,"value":"繁體中文"}
ja-JPYesMultilingual Japanese content Nesting type: <a LangUnit.{"enabled":false,"value":"日本語"}

LangUnit

NameTypeIs it required?DescriptionSample value
enabledbooleanyesWhether it is enabled. If enabled, and the console selects this language, the content will be displayed. (Default is off)
valuestringyesMultilingual content

Agent infrastructure for identity, memory, and web action.